Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVoidArray Class Reference

`#include <vtkVoidArray.h>`

Inheritance diagram for vtkVoidArray:

[legend]
Collaboration diagram for vtkVoidArray:

[legend]
List of all members.

## Detailed Description

dynamic, self-adjusting array of void* pointers

Date:
  2002/11/12 18:32:04

Revision:
  1.52

vtkVoidArray is an array of pointers to void. It provides methods for insertion and retrieval of these pointers values, and will automatically resize itself to hold new data.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (48%)
  - Martin, Ken (12%)
  - Henderson, Amy (8%)
  - Geveci, Berk (7%)
  - Miller, Jim (7%)
  - Kelly, Ann (5%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkVoidArray.h)`
  - .`cxx` (`/Common/vtkVoidArray.cxx)`

Definition at line 47 of file vtkVoidArray.h.

## Public Types
typedef vtkDataArray | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | Allocate (const vtkIdType sz, const vtkIdType ext=1000)
void | Initialize ()
int | GetDataType ()
int | GetDataTypeSize ()
void | SetNumberOfTuples (const vtkIdType number)
float * | GetTuple (const vtkIdType i)
void | Squeeze ()
virtual void | Resize (vtkIdType numTuples)
void * | GetValue (const vtkIdType id)
void | SetNumberOfValues (const vtkIdType number)
void | SetValue (const vtkIdType id, void *value)
void | InsertValue (const vtkIdType id, void *p)
vtkIdType | InsertNextValue (void *v)
void ** | WritePointer (const vtkIdType id, const vtkIdType number)
void | DeepCopy (vtkDataArray *da)
void | GetTuple (const vtkIdType i, float *tuple)
void | GetTuple (const vtkIdType i, double *tuple)
void | SetTuple (const vtkIdType i, const float *tuple)
void | SetTuple (const vtkIdType i, const double *tuple)
void | InsertTuple (const vtkIdType i, const float *tuple)
void | InsertTuple (const vtkIdType i, const double *tuple)
vtkIdType | InsertNextTuple (const float *tuple)
vtkIdType | InsertNextTuple (const double *tuple)
void ** | GetPointer (const vtkIdType id)
void * | GetVoidPointer (const vtkIdType id)
## Static Public Methods
vtkVoidArray * | New ()
int | IsTypeOf (const char *type)
vtkVoidArray * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkVoidArray ()
| ~vtkVoidArray ()
void ** | ResizeAndExtend (const vtkIdType sz)
## Protected Attributes
void ** | Array
int | TupleSize
float * | Tuple

## Member Typedef Documentation

typedef vtkDataArray vtkVoidArray::Superclass

| Reimplemented from vtkDataArray. Definition at line 52 of file vtkVoidArray.h.

## Constructor & Destructor Documentation

vtkVoidArray::vtkVoidArray | ( |  | ) | `[protected]`

vtkVoidArray::~vtkVoidArray | ( |  | ) | `[protected]`

## Member Function Documentation

vtkVoidArray* vtkVoidArray::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkVoidArray::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataArray.

int vtkVoidArray::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

virtual int vtkVoidArray::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataArray.

vtkVoidArray* vtkVoidArray::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataArray.

void vtkVoidArray::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataArray.

int vtkVoidArray::Allocate | ( | const vtkIdType | sz,
|  | const vtkIdType | ext = 1000
| ) | `[virtual]`

| Allocate memory for this array. Delete old storage only if necessary. Note that ext is no longer used. Implements vtkDataArray. Referenced by SetNumberOfValues().

void vtkVoidArray::Initialize | ( |  | ) | `[virtual]`

| Release storage and reset array to initial state. Implements vtkDataArray.

int vtkVoidArray::GetDataType | ( |  | ) | `[inline, virtual]`

| Get the data type. Implements vtkDataArray. Definition at line 63 of file vtkVoidArray.h. References VTK_VOID.

int vtkVoidArray::GetDataTypeSize | ( |  | ) | `[inline, virtual]`

| Return the size of the data type. Implements vtkDataArray. Definition at line 66 of file vtkVoidArray.h.

void vtkVoidArray::SetNumberOfTuples | ( | const vtkIdType | number | ) | `[virtual]`

| Set the number of n-tuples in the array. Implements vtkDataArray.

float* vtkVoidArray::GetTuple | ( | const vtkIdType | i | ) | `[virtual]`

| Get a pointer to a tuple at the ith location. Implements vtkDataArray.

void vtkVoidArray::GetTuple | ( | const vtkIdType | i,
|  | float * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Implements vtkDataArray.

void vtkVoidArray::GetTuple | ( | const vtkIdType | i,
|  | double * | tuple
| ) | `[virtual]`

| Copy the tuple value into a user-provided array. Reimplemented from vtkDataArray.

void vtkVoidArray::SetTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Implements vtkDataArray.

void vtkVoidArray::SetTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Set the tuple value at the ith location in the array. Reimplemented from vtkDataArray.

void vtkVoidArray::InsertTuple | ( | const vtkIdType | i,
|  | const float * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Implements vtkDataArray.

void vtkVoidArray::InsertTuple | ( | const vtkIdType | i,
|  | const double * | tuple
| ) | `[virtual]`

| Insert (memory allocation performed) the tuple into the ith location in the array. Reimplemented from vtkDataArray.

vtkIdType vtkVoidArray::InsertNextTuple | ( | const float * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Implements vtkDataArray.

vtkIdType vtkVoidArray::InsertNextTuple | ( | const double * | tuple | ) | `[virtual]`

| Insert (memory allocation performed) the tuple onto the end of the array. Reimplemented from vtkDataArray.

void vtkVoidArray::Squeeze | ( |  | ) | `[inline, virtual]`

| Resize object to just fit data requirement. Reclaims extra memory. Implements vtkDataArray. Definition at line 101 of file vtkVoidArray.h.

virtual void vtkVoidArray::Resize | ( | vtkIdType | numTuples | ) | `[virtual]`

| Resize the array while conserving the data. Implements vtkDataArray.

void* vtkVoidArray::GetValue | ( | const vtkIdType | id | ) | `[inline]`

| Get the data at a particular index. Definition at line 107 of file vtkVoidArray.h. References id, and vtkIdType.

void vtkVoidArray::SetNumberOfValues | ( | const vtkIdType | number | ) | `[inline]`

| Specify the number of values for this object to hold. Does an allocation as well as setting the MaxId ivar. Used in conjunction with SetValue() method for fast insertion. Definition at line 156 of file vtkVoidArray.h. References Allocate(), vtkDataArray::MaxId, and vtkIdType.

void vtkVoidArray::SetValue | ( | const vtkIdType | id,
|  | void * | value
| ) | `[inline]`

| Set the data at a particular index. Does not do range checking. Make sure you use the method SetNumberOfValues() before inserting data. Definition at line 162 of file vtkVoidArray.h. References Array, id, and vtkIdType.

void vtkVoidArray::InsertValue | ( | const vtkIdType | id,
|  | void * | p
| ) | `[inline]`

| Insert data at a specified position in the array. Definition at line 182 of file vtkVoidArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType. Referenced by InsertNextValue().

vtkIdType vtkVoidArray::InsertNextValue | ( | void * | v | ) | `[inline]`

| Insert data at the end of the array. Return its location in the array. Definition at line 195 of file vtkVoidArray.h. References InsertValue(), vtkDataArray::MaxId, and vtkIdType.

void** vtkVoidArray::GetPointer | ( | const vtkIdType | id | ) | `[inline]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Definition at line 128 of file vtkVoidArray.h. References id, and vtkIdType.

void* vtkVoidArray::GetVoidPointer | ( | const vtkIdType | id | ) | `[inline, virtual]`

| Get the address of a particular data index. Performs no checks to verify that the memory has been allocated etc. Implements vtkDataArray. Definition at line 129 of file vtkVoidArray.h. References id, and vtkIdType.

void ** vtkVoidArray::WritePointer | ( | const vtkIdType | id,
|  | const vtkIdType | number
| ) | `[inline]`

| Get the address of a particular data index. Make sure data is allocated for the number of items requested. Set MaxId according to the number of data values requested. Definition at line 167 of file vtkVoidArray.h. References Array, id, vtkDataArray::MaxId, ResizeAndExtend(), vtkDataArray::Size, and vtkIdType.

void vtkVoidArray::DeepCopy | ( | vtkDataArray * | da | ) | `[virtual]`

| Deep copy of another void array. Reimplemented from vtkDataArray.

void** vtkVoidArray::ResizeAndExtend | ( | const vtkIdType | sz | ) | `[protected]`

| Referenced by InsertValue(), and WritePointer().

## Member Data Documentation

void** vtkVoidArray::Array`[protected]`

| Definition at line 145 of file vtkVoidArray.h. Referenced by InsertValue(), SetValue(), and WritePointer().

int vtkVoidArray::TupleSize`[protected]`

| Definition at line 148 of file vtkVoidArray.h.

float* vtkVoidArray::Tuple`[protected]`

| Definition at line 149 of file vtkVoidArray.h.

The documentation for this class was generated from the following file:

- Common/vtkVoidArray.h